/*
 * Copyright (C) 2004-2008 Alex Lasnier <alex@fepg.org>
 *
 * This file is part of fEPG
 *
 * fEPG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * fEPG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with fEPG.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#ifndef __FEPG_COLOR_MENU_H
#define __FEPG_COLOR_MENU_H

#include <vdr/osdbase.h>
#include "config.h"


//////////////////////////////////////////////////////////////////////////////


class cColorMenu : public cOsdObject
{ 
public:
  cColorMenu(void);
 ~cColorMenu();
  virtual void Show(void);
  virtual eOSState ProcessKey(eKeys Key);
   
private:
  int screenHeight;
  cOsd* scrOsd;
  const cFont* font;
  
  tColor color1;
  tColor color2;
  
  int sel;
  int colors[6];
  
  int inputNum;
  time_t inputTime;
  
  static const int lt = 3;  // Line thickness
  
  void Draw(void);
  void DrawColor(int x, int y, const char* s, int val, int i);
  void Store(void);  
};


//////////////////////////////////////////////////////////////////////////////


#endif //__FEPG_COLOR_MENU_H
